# Add or replace the credential for one registry Source: https://docs.orchard.hackclub.com/api/operations/projects_registry_credentials_set/ `PUT /apiv1/projects/{projectId}/registry-credentials` Operation ID: `projects_registry_credentials_set` Auth: authenticated (scope: deploy) ## Parameters | Name | In | Required | Description | | --- | --- | --- | --- | | `projectId` | path | Yes | | ## Request body ```json { "properties": { "password": { "description": "Password or access token; verified against the registry before it is stored", "type": "string" }, "registry": { "description": "Registry host such as ghcr.io, docker.io or registry.gitlab.com", "type": "string" }, "username": { "type": "string" } }, "required": [ "registry", "username", "password" ], "type": "object" } ``` ## Responses ### 200: OK ```json { "properties": { "createdAt": { "type": "string" }, "id": { "format": "uuid", "type": "string" }, "registry": { "description": "Normalised registry host, e.g. ghcr.io or docker.io", "type": "string" }, "updatedAt": { "type": "string" }, "username": { "type": "string" } }, "required": [ "id", "registry", "username", "createdAt", "updatedAt" ], "type": "object" } ```